# eoStochTournamentTruncateSplit< EOT > Class Template Reference

a ReduceSplit class based on a repeated deterministic (reverse!) tournament To be used in SSGA-like replacements (e.g. More...

`#include <eoReduceSplit.h>`

Inheritance diagram for eoStochTournamentTruncateSplit< EOT >:

List of all members.

## Public Member Functions

| eoStochTournamentTruncateSplit (double _t_rate, eoHowMany _howMany, bool _returnEliminated=false)
| Ctor: must provide amount of reduction, and whether or not you need to return the eliminated guys.
void | operator() (eoPop< EOT > &_newgen, eoPop< EOT > &_eliminated)
| Performs repeated inverse_stochastic_tournament on the pop.

## Private Attributes

double | t_rate
eoHowMany | howMany
bool | returnEliminated

## Detailed Description

### template<class EOT>
class eoStochTournamentTruncateSplit< EOT >

a ReduceSplit class based on a repeated deterministic (reverse!) tournament To be used in SSGA-like replacements (e.g.

see eoSSGAStochTournamentReplacement)

Definition at line 256 of file eoReduceSplit.h.

The documentation for this class was generated from the following file:

- eoReduceSplit.h